▼ |  | The Typed Racket Reference

1 | Type Reference
2 | Special Form Reference
3 | Libraries Provided With Typed Racket
4 | Typed Classes
5 | Utilities
6 | Exploring Types
7 | Typed Racket Syntax Without Type Checking
8 | Typed Regions
9 | Optimization in Typed Racket
10 | Legacy Forms
11 | Compatibility Languages
12 | Experimental Features

On this page:

declare-refinement
Refinement
define-typed-struct/ exec

6.1.1
top ← prev up next →

### 12`` Experimental Features

These features are currently experimental and subject to change.

> syntax (declare-refinement id)

Declares id to be usable in refinement types.

> syntax (Refinement id)

Includes values that have been tested with the predicate id, which must have been specified with declare-refinement.

> syntax (define-typed-struct/exec forms ...)

Defines an executable structure.
top ← prev up next →